
// ChildView.h : CChildView 类的接口
//


#pragma once






class CChildView : public CWnd, IAveImageNotify
{
// 构造
public:
	CChildView();

// 特性
public:

// 操作
public:

// 重写
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
public:
	//通知上层.当前新添加的标记区域 ::上层需要填充:stFaultInfo::nImageIndex值
	virtual BOOL OnControlInsertMark(UINT nID, stMarkInfo&);
	//通知上层，标记区域发生变化；
	virtual BOOL OnControlModifyMark(UINT nID,stMarkInfo&);
	//通知当前图像的缩放比例
	virtual void OnZoomValueChange(UINT nID,const float& _curValue);
	//virtual ...
	virtual void OnControlRButtonDown(UINT nID, long lImageIdx, long lMarkIdx );
	///
	virtual void OnControlMeasure(UINT nID, int nWidth, int nHeight, std::string& _showInfo);
// 实现
public:
	virtual ~CChildView();

	// 生成的消息映射函数
protected:
	afx_msg void OnPaint();
	DECLARE_MESSAGE_MAP()

private:
	//IAdvImageShowControl*  m_pDrawControl;

	CArray<IAdvImageShowControl*, IAdvImageShowControl*> m_pDCList;
	  ;
	 

public:
	//void AddFile(CImageFileManager::stFileInfo* pFile);
	//void SeekFile(long lFile);
public:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnColorBk();
	afx_msg void OnInfo();
	 

	afx_msg void OnFullscreen();
	afx_msg void OnImageManager();


public:
	int m_nM;
	afx_msg void OnMenuZoom();
	afx_msg void OnImageAdj();
	afx_msg void OnImageInfo();
	afx_msg void OnThumMenu();
	afx_msg void OnMarkMode();
	afx_msg void  OnMarkNew(UINT unID);

public:
	long  m_lNextMarkID;
	afx_msg void OnMeasure();
	afx_msg void OnStatus();
 
};

